求助:sudo apt-get install bash-static

为当前最终发行版之前的所有版本提供支持
回复
jerryicon
帖子: 10
注册时间: 2007-04-19 11:21
送出感谢: 0
接收感谢: 0

求助:sudo apt-get install bash-static

#1

帖子 jerryicon » 2007-04-19 11:29

为什么我执行这个命令总是过不去?
我执行的结果是:
root@fyan-windriver:/usr/share/doc/bash# apt-get install bash-static
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package bash-static is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package bash-static has no installation candidate
而我知道正确的应该是:
sudo apt-get install bash-static
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
bash-doc
The following NEW packages will be installed:
bash-static
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 702kB of archives.
After unpacking, 1405kB of additional disk space will be used.
Get:1 http://ca.archive.ubuntu.com edgy/universe bash-static 3.1-5ubuntu3 [702kB]
Fetched 702kB in 1s (373kB/s)
Selecting previously deselected package bash-static.
(Reading database ... 95757 files and directories currently installed.)
Unpacking bash-static (from .../bash-static_3.1-5ubuntu3_i386.deb) ...
Setting up bash-static (3.1-5ubuntu3) ...
为什么我的总是不对?????
谢谢各位高手指点!!!!!!
头像
fallleaf
帖子: 694
注册时间: 2006-12-29 20:13
送出感谢: 0
接收感谢: 0

#2

帖子 fallleaf » 2007-04-19 12:03

大概是你的源里没有这个?
在学习linux的道路上自在而行。
头像
stlxv
论坛版主
帖子: 8274
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#3

帖子 stlxv » 2007-04-19 12:42

自己编译一个吧,加上--static参数就行了
PHP是最好的语言!不服来战!
jerryicon
帖子: 10
注册时间: 2007-04-19 11:21
送出感谢: 0
接收感谢: 0

#4

帖子 jerryicon » 2007-04-19 13:18

stlxv 写了:自己编译一个吧,加上--static参数就行了
怎么搞呀?
能说的详细一点吗?
呵呵,谢谢!
头像
stlxv
论坛版主
帖子: 8274
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#5

帖子 stlxv » 2007-04-19 14:19

1. 去下载bash的源码(用google搜)
2. 解压后会有个文件告诉你怎么做,照着做就行了
PHP是最好的语言!不服来战!
jerryicon
帖子: 10
注册时间: 2007-04-19 11:21
送出感谢: 0
接收感谢: 0

#6

帖子 jerryicon » 2007-04-20 14:16

已搞定。
谢谢!
回复

回到 “老旧版本支持”